Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.internal.project
Interface ProjectInternal

    org.gradle.api.internal.project.ProjectInternal
      org.gradle.api.Project

All Superinterfaces:
  Project

    interface ProjectInternal
    extends Project

Method Summary
`void` | `addChildProject(ProjectInternal childProject)`
`Project` | `evaluate()`
`BuildInternal` | `getBuild()`
`ScriptSource` | `getBuildScriptSource()`
`ScriptClassLoaderProvider` | `getClassLoaderProvider()`
`FileResolver` | `getFileResolver()`
`DynamicObject` | `getInheritedScope()`
`ProjectInternal` | `getParent()`
`IProjectRegistry` | `getProjectRegistry()`
`Script` | `getScript()`
`StandardOutputRedirector` | `getStandardOutputRedirector()`
`void` | `setScript(Script buildScript)`

Methods inherited from interface Project
absolutePath, afterEvaluate, afterEvaluate, allprojects, allprojects, ant, applyActions, artifacts, beforeEvaluate, beforeEvaluate, buildscript, captureStandardOutput, childrenDependOnMe, configurations, configure, configure, createAntBuilder, createRepositoryHandler, createTask, createTask, createTask, createTask, createTask, createTask, defaultTasks, dependencies, dependsOn, dependsOn, dependsOnChildren, dependsOnChildren, depthCompare, disableStandardOutputCapture, evaluationDependsOn, file, file, files, findProject, getAllTasks, getAllprojects, getAnt, getArtifacts, getBuild, getBuildDir, getBuildDirName, getBuildFile, getBuildscript, getChildProjects, getConfigurations, getConvention, getDefaultTasks, getDependencies, getDependsOnProjects, getDepth, getGroup, getLogger, getName, getParent, getPath, getPlugins, getProject, getProjectDir, getProperties, getRepositories, getRootDir, getRootProject, getStatus, getSubprojects, getTasks, getTasksByName, getVersion, hasProperty, project, project, property, relativePath, repositories, setBuildDirName, setDefaultTasks, setProperty, subprojects, subprojects, usePlugin, usePlugin

Methods inherited from interface java.lang.Comparable
compareTo

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Method Detail

### addChildProject

    public void addChildProject(ProjectInternal childProject)

### evaluate

    public Project evaluate()

### getBuild

    public BuildInternal getBuild()

### getBuildScriptSource

    public ScriptSource getBuildScriptSource()

### getClassLoaderProvider

    public ScriptClassLoaderProvider getClassLoaderProvider()

### getFileResolver

    public FileResolver getFileResolver()

### getInheritedScope

    public DynamicObject getInheritedScope()

### getParent

    public ProjectInternal getParent()

### getProjectRegistry

    public IProjectRegistry getProjectRegistry()

### getScript

    public Script getScript()

### getStandardOutputRedirector

    public StandardOutputRedirector getStandardOutputRedirector()

### setScript

    public void setScript(Script buildScript)

Groovy Documentation